ocamlweb(1)

NAME
ocamlweb - A literate programming tool for Objective Caml

SYNOPSIS
ocamlweb [ options ] files

DESCRIPTION

ocamlweb is a literate programming tool for Objective Caml. It creates a LaTeX document with both documentation and code (implementations and interfaces) from a set of Caml files. Documentation is inserted into ocaml files as comments. Conversely, code may be quoted inside documentation between square brackets. See the ocamlweb web site for documentation and examples.

OPTIONS

-h  Help. Will give you the complete list of options accepted by ocamlweb. For detailed explanations, please check the ocamlweb manual. On a Debian system the manual can be found at /usr/share/doc/ocamlweb in HTML format, or via the Debian help system.

AUTHORS
Jean-Christophe Filliatre <filliatr@lri.fr>
Claude Marche <marche@lri.fr>

SEE ALSO

Ocamlweb web site: http://www.lri.fr/~filliatr/ocamlweb/
The Objective Caml web site: http://caml.inria.fr/